{
    *******************************************************
    * "De Delphi  C# avec BDS 2006"  ISBN 2-212-11768-X  *
    *******************************************************
    *                                                     *
    * Code source correspond aux exemples traits dans l' *
    * ouvrage.                                            *
    *                                                     *
    * Environment : Borland Developer Studio 2006         *
    * Test sur la version Architecte Franaise patch 1   *
    *                                                     *
    * Copyright   : Olivier Dahan                         *
    *                                                     *
    * Aucune copie, distribution, publication sans l'     *
    * accord exprs de l'auteur.                          *
    * Le prsent code source est fourni "tel quel"       *
    * titre d'illustration des propos techniques du livre *
    * Aucune garantie de fonctionnement ou d'adaptation   *
    * n'est fournie, aucune maintenance corrective ou     *
    * volutive ne sera fournie sur le prsent code.      *
    * Vous utilisez ce code sous votre seule responsabi-  *
    * lit et  vos risques et prils. L'auteur ne serait *
    * tre tenu pour responsable d'ventuelles pertes de  *
    * donnes ou de jouissance qui pourraient rsulter de *
    * l'utilisation du prsent code.                      *
    *                                                     *
    * Contact          : BDSLivre@e-naxos.com             *
    * Site de l'auteur : http://www.e-naxos.com           *
    *******************************************************

}



unit WebForm1;

interface

uses
  System.Collections, System.ComponentModel,
  System.Data, System.Drawing, System.Web, System.Web.SessionState,
  System.Web.UI, System.Web.UI.WebControls, System.Web.UI.HtmlControls;

type
  TWebForm1 = class(System.Web.UI.Page)
  {$REGION 'Code manag du concepteur'}
  strict private
    procedure InitializeComponent;
    procedure Button2_Click(sender: System.Object; e: System.EventArgs);
    procedure ListBox1_SelectedIndexChanged(sender: System.Object; e: System.EventArgs);
    procedure Button1_Click(sender: System.Object; e: System.EventArgs);
  {$ENDREGION}
  strict private
    procedure Page_Load(sender: System.Object; e: System.EventArgs);
  strict protected
    ListBox1: System.Web.UI.WebControls.ListBox;
    TextBox1: System.Web.UI.WebControls.TextBox;
    TextBox2: System.Web.UI.WebControls.TextBox;
    Label1: System.Web.UI.WebControls.Label;
    Button2: System.Web.UI.WebControls.Button;
    Label2: System.Web.UI.WebControls.Label;
    Label3: System.Web.UI.WebControls.Label;
    Label4: System.Web.UI.WebControls.Label;
    Label5: System.Web.UI.WebControls.Label;
    Label7: System.Web.UI.WebControls.Label;
    HyperLink1: System.Web.UI.WebControls.HyperLink;
    Label6: System.Web.UI.WebControls.Label;
    Button1: System.Web.UI.WebControls.Button;
    procedure OnInit(e: EventArgs); override;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

implementation

{$REGION 'Code manag du concepteur'}
/// <summary>
/// Mthode obligatoire pour la gestion du concepteur - Ne modifiez pas
/// le contenu de cette mthode avec l'diteur de code.
/// </summary>
procedure TWebForm1.InitializeComponent;
begin
  Include(Self.ListBox1.SelectedIndexChanged, Self.ListBox1_SelectedIndexChanged);
  Include(Self.Button2.Click, Self.Button2_Click);
  Include(Self.Button1.Click, Self.Button1_Click);
  Include(Self.Load, Self.Page_Load);
end;
{$ENDREGION}

procedure TWebForm1.Page_Load(sender: System.Object; e: System.EventArgs);
begin
  // TODO: Placer ici du code utilisateur pour initialiser la page
  if not IsPostBack then begin
   listbox1.Items.Add('Ventilateur');
   listbox1.Items.Add('Ram 1Go');
   listbox1.Items.Add('Clavier');
   listbox1.Items.Add('Souris');
   Listbox1.SelectedIndex:=-1;
   case session.Mode of
    SessionStateMode.Off : label6.text := 'Session dconnecte';
    SessionStateMode.InProc : label6.text := 'Session en mode In-process';
    SessionStateMode.StateServer : label6.text := 'Session en mode serveur d''tat';
    SessionStateMode.SQLServer : label6.text := 'Session en mode SQL Server';
   end;
   label6.text := label6.Text + ' - ID de session : '+Session.SessionID;
   end;
end;

procedure TWebForm1.OnInit(e: EventArgs);
begin
  //
  // Obligatoire pour la gestion du concepteur
  //
  InitializeComponent;
  inherited OnInit(e);
end;

procedure TWebForm1.Button1_Click(sender: System.Object; e: System.EventArgs);
begin
  Label1.Text:='Votre commande est vide';
  Session['Article'].Free;
  Session['Prix'].Free;
  Hyperlink1.Visible := false;
  Button1.Visible := false;
end;

procedure TWebForm1.ListBox1_SelectedIndexChanged(sender: System.Object; e: System.EventArgs);
begin
    if listbox1.SelectedIndex>-1 then begin
    textbox1.Text := listbox1.Items[listbox1.SelectedIndex].Text;
    textbox2.Text := Double(random(1500)/10).tostring('C');
   end;
end;

procedure TWebForm1.Button2_Click(sender: System.Object; e: System.EventArgs);
begin
  Label1.Text:='En commande : 1 x '+textbox1.Text+'  '+textbox2.Text;
  Session['Article'] := Textbox1.Text;
  Session['Prix'] := Textbox2.text;
  Hyperlink1.Visible := true;
  Button1.Visible := true;
end;



end.

